Bug 1579096 (CVE-2018-10843) - CVE-2018-10843 source-to-image: Builder images with assembler-user LABEL set to root allows attackers to execute arbitrary code
Summary: CVE-2018-10843 source-to-image: Builder images with assembler-user LABEL set ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10843
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1582976 1582977 1583421
Blocks: 1579098
TreeView+ depends on / blocked
 
Reported: 2018-05-17 00:22 UTC by Sam Fowler
Modified: 2019-09-29 14:39 UTC (History)
18 users (show)

Fixed In Version: atomic-openshift 3.7.53, atomic-openshift 3.9.31
Doc Type: If docs needed, set a value
Doc Text:
A privilege escalation flaw was found in the source-to-image component of Openshift Container Platform which allows the assemble script to run as the root user in a non-privileged container. An attacker can use this flaw to open network connections, and possibly other actions, on the host which are normally only available to a root user.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:23:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:01:26 UTC

Description Sam Fowler 2018-05-17 00:22:38 UTC
OpenShift Container Platform and OpenShift Online have a flaw in the source-to-image functionality. An attacker that can create images with the 'io.openshift.s2i.assemble-user' LABEL set to 'root' can execute arbitrary code with full privileges in the builder pod during S2I build.

Comment 6 Jason Shepherd 2018-05-28 03:54:07 UTC
Acknowledgments:

Name: Jeremy Choi (Red Hat)

Comment 10 errata-xmlrpc 2018-06-27 18:01:17 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2018:2013 https://access.redhat.com/errata/RHSA-2018:2013

Comment 12 Scott Gayou 2018-11-14 16:18:02 UTC
RHSCL release was packaged before io.openshift.s2i.assemble-user functionality was added to source-to-image.


Note You need to log in before you can comment on or make changes to this bug.